Page MenuHomePhabricator

Add @covers tags for tests in WMDE Technical Wishes extensions and enable coverage reports
Closed, ResolvedPublic

Description

T71685 is asking for volunteers for extensions that can test out the beta version of automatic coverage reports in CI.

We should go through all of our mediawiki extensions and add @covers tags before requesting that they have coverage reports generated.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2018, 9:27 AM
Addshore renamed this task from Add @covers tags for tests in TCB extensions and enable coverage reports to Add @covers tags for tests in WMDE Technical Wishes extensions and enable coverage reports.Feb 28 2018, 1:00 PM
Addshore added a project: Test-Coverage.
Addshore added a subscriber: Lea_WMDE.
thiemowmde closed this task as Resolved.Jun 12 2018, 4:38 PM
thiemowmde triaged this task as Low priority.
thiemowmde added a project: patch-welcome.
thiemowmde added a subscriber: thiemowmde.

Thanks for the reminder! I think all relevant extensions are now listed at https://doc.wikimedia.org/cover-extensions/. If one is missing, I would add it first, because this makes it easier to see where @covers tags are missing.

In the past weeks I went through the "German technical wishlist" extensions (most notably Advanced-Search, Move-Files-To-Commons, as well as Two-Column-Edit-Conflict-Merge) and added @covers tags wherever appropriate, as well as added missing test cases.

Next steps, in my opinion:

  • If an extension is missing at https://doc.wikimedia.org/cover-extensions/, add it. Create a separate ticket for this, if needed.
  • If the coverage report for an extension looks bad, create a ticket for that specific extension, break it down, and bring it up in the responsible teams sprint planning. For FileImporter we just did this, see T190290.